using System.Runtime.CompilerServices;
using System.Runtime.InteropServices;
using System.Security;

namespace Decal.Interop.Inject;

[ComImport]
[InterfaceType(2)]
[SuppressUnmanagedCodeSecurity]
[Guid("2FEBCBC3-488C-444F-AD08-5D3097D2D1ED")]
[TypeLibType(4096)]
public interface IControlEvents
{
	[MethodImpl(MethodImplOptions.PreserveSig | MethodImplOptions.InternalCall, MethodCodeType = MethodCodeType.Runtime)]
	[DispId(1)]
	void Destroy(int nID);
}
